Author Topic: How do you pause a lsp to select objects  (Read 1727 times)

0 Members and 1 Guest are viewing this topic.

CECE_CAD

  • Guest
How do you pause a lsp to select objects
« on: July 18, 2007, 11:20:27 AM »
I’m putting this command together and after my copyclip I can’t select the objects.  Also if I do get it to work, I’m only able to select one object?  Then I noticed the rest of the command won’t continue?

Code: [Select]
(defun c:swi ()
  (vl-cmdf "-view" "swiso")
  (command "ucs" "v") 
  (command "_copyclip" (ssget))
  (command "-view" "top") 
  (command "ucs" "v")
  (command "pasteblock")
)

JohnK

  • Administrator
  • Seagull
  • Posts: 10669
Re: How do you pause a lsp to select objects
« Reply #1 on: July 18, 2007, 11:21:46 AM »
PAUSE
TheSwamp.org (serving the CAD community since 2003)
Member location map - Add yourself

Donate to TheSwamp.org

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: How do you pause a lsp to select objects
« Reply #2 on: July 18, 2007, 11:58:48 AM »
Perhaps you are not ending the command.
Try this:

Code: [Select]
(command "_copyclip" (ssget) [color=red]""[/color])
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

CECE_CAD

  • Guest
Re: How do you pause a lsp to select objects
« Reply #3 on: July 18, 2007, 12:55:53 PM »
Thanks CAB, that worked   :ugly: